Dependency Manager commands not working after upgrading Servicemix from 5.4.0 to 6.1.2

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Dependency Manager commands not working after upgrading Servicemix from 5.4.0 to 6.1.2

rodallen
Hi,

I posted a request for help on the stackoverflow here :- http://stackoverflow.com/questions/41551076/dependency-manager-commands-not-working-after-upgrading-servicemix-from-5-4-0-to

So to summarise we need to get the Apache Felix command dm wtf to work with Servicemix 6.1.2. the feature config which worked fine in Servicemix 5.4.0 looked like this :-

<feature name="example-feature" version="X.X.X">
                <bundle>mvn:org.apache.felix/org.apache.felix.metatype/1.0.10</bundle>
                <bundle>mvn:org.apache.felix/org.apache.felix.dependencymanager/3.2.0</bundle>
                <bundle>mvn:org.apache.felix/org.apache.felix.dependencymanager.shell/3.2.0</bundle>
</feature>

Using this in Servicemix 6.1.2 results in :-

karaf@root>dm wtf
Error executing command: Cannot coerce dm(String) to any of [(CommandSession, boolean, String, boolean, boolean, boolean, String, String, String, String)]

I would be grateful for any thoughts on this?

Regards

Rod
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Dependency Manager commands not working after upgrading Servicemix from 5.4.0 to 6.1.2

rodallen
Just a quick update - this change in behaviour can be seen in Servicemix 5.4.1 as well so it looked like something significant changed between 5.4.0 and 5.4.1 (in case that narrows things down)

Regards

Rod
Loading...